/*******************************************************************************
 *  Licensed Materials - Property of IBM
 * (C) Copyright IBM Corp.  2001, 2006.  All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.ccl.mapping.codegen;

public class AnnotationConstants
{
  public static final String SCOPE_KEY = "scope";                           //$NON-NLS-1$
  public static final String SCOPE_VALUE_INNER = "inner";                   //$NON-NLS-1$
  public static final String SCOPE_VALUE_OUTER = "outer";                   //$NON-NLS-1$
	
  public static final String ORDER_KEY = "order";                           //$NON-NLS-1$
  public static final String ORDER_VALUE_ASCENDING = "ASC";                 //$NON-NLS-1$
  public static final String ORDER_VALUE_DESCENDING = "DESC";               //$NON-NLS-1$
	
  public static final String CASE_ORDER_KEY = "caseOrder";                  //$NON-NLS-1$
  public static final String CASE_ORDER_VALUE_UPPER_FIRST = "upperFirst";   //$NON-NLS-1$
  public static final String CASE_ORDER_VALUE_LOWER_FIRST = "lowerFirst";   //$NON-NLS-1$

  public static final String DATA_ORDER_KEY = "dataOrder";                  //$NON-NLS-1$
  public static final String DATA_ORDER_VALUE_LEXICAL= "lexical";	          //$NON-NLS-1$
  public static final String DATA_ORDER_VALUE_NUMERICAL = "numerical";      //$NON-NLS-1$
  
  public static final String DATA_TYPE_KEY = "dataType";                    //$NON-NLS-1$
  public static final String DATA_TYPE_VALUE_NUMBER = "number";             //$NON-NLS-1$
  public static final String DATA_TYPE_VALUE_TEXT = "text";                 //$NON-NLS-1$
  public static final String DATA_TYPE_VALUE_USER_DEFINED = "userDefined";  //$NON-NLS-1$	
	
  public static final String TEST_SOURCE_LOCATION_KEY = "@testSourceLocation";  //$NON-NLS-1$
  public static final String TEST_SOURCE_LOCATION_SEPARATOR = ";";          //$NON-NLS-1$

  public static final String TEMPLATE_NAME_KEY = "template";                //$NON-NLS-1$
}