/*******************************************************************************
 *  Licensed Materials - Property of IBM
 * (C) Copyright IBM Corp.  2001, 2006.  All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.ccl.mapping.codegen;

import com.ibm.ccl.mapping.codegen.MappingHandler;

/**
 * A handler interface to access codegen APIs.
 * @author lauzond
 */
public interface CodegenHandler
{
	/**
	 * Returns the mapping handler for this codegen handler.
	 * @return the mapping handler for this codegen handler.
	 */
	public MappingHandler getMappingHandler();
}
