/*******************************************************************************
 *  Licensed Materials - Property of IBM
 * (C) Copyright IBM Corp.  2001, 2006.  All Rights Reserved.
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 *******************************************************************************/
package com.ibm.ccl.mapping.codegen.impl;

import com.ibm.ccl.mapping.codegen.CodegenHandler;
import com.ibm.ccl.mapping.codegen.MappingHandler;

/**
 * A handler class to access codegen APIs.
 * @author lauzond
 */
public class CodegenHanderImpl implements CodegenHandler
{
	/**
	 * Access to the mapping information
	 */
	protected MappingHandler MAP;
	
	
	/**
	 * Constructor.
	 * @param handler the mapping handler.
	 */
	public CodegenHanderImpl(MappingHandler handler)
	{
		this.MAP = handler;
	}


	/* (non-Javadoc)
	 * @see com.ibm.ccl.mapping.codegen.MSLCodegenHandler#getMappingHandler()
	 */
	public MappingHandler getMappingHandler()
	{
		return this.MAP;
	}
}
